/*
 * Copyright (c) 2002-2003 by OpenSymphony
 * All rights reserved.
 */
package com.opensymphony.user.provider.file;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import java.util.HashMap;
import java.util.Map;


/**
 * @author Dave Brondsema
 */
abstract class FileUsersCache extends FileEntitiesCache {
    //~ Static fields/initializers /////////////////////////////////////////////

    protected static final Log log = LogFactory.getLog(FileUsersCache.class);

    //~ Instance fields ////////////////////////////////////////////////////////

    public Map users;

    //~ Constructors ///////////////////////////////////////////////////////////

    public FileUsersCache(String storeFile, String storeFileType) {
        super(storeFile, storeFileType);

        users = new HashMap();
    }
}
